=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==22.1.0
    # via ufolib2
booleanoperations==0.9.0
    # via ufo2ft
cffsubr==0.2.9.post1
    # via ufo2ft
cu2qu==1.6.7.post1
    # via ufo2ft
defcon==0.10.1
    # via glyphsets
fonttools[lxml,ufo,unicode]==4.34.4
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   cu2qu
    #   defcon
    #   glyphsets
    #   glyphslib
    #   ufo2ft
    #   ufolib2
fs==2.4.16
    # via fonttools
glyphsets==0.5.2
    # via -r requirements.in
glyphslib==6.0.7
    # via glyphsets
lxml==4.9.1
    # via fonttools
openstep-plist==0.3.0
    # via glyphslib
opentype-sanitizer==8.2.1
    # via -r requirements.in
pcpp==1.30
    # via -r requirements.in
pyclipper==1.3.0.post3
    # via booleanoperations
six==1.16.0
    # via fs
skia-pathops==0.7.2
    # via ufo2ft
ufo2ft[pathops]==2.28.0
    # via -r requirements.in
ufolib2==0.13.1
    # via
    #   -r requirements.in
    #   glyphslib
unicodedata2==14.0.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools
