=== debian/changelog ===
fonts-hosny-amiri (1.000-1) unstable; urgency=medium

  * New upstream version 1.000 (Closes: #1026949)
  * d/watch: update
  * Update copyright years
  * d/docs: install all files in documentation dir
  * d/control: updated standards version to 3.6.2
  * d/install: update source fonts path
  * Add privacy.diff patch to remove reference to a javascript from an external website
  * d/u/metadata: remove Homepage field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 11 Apr 2023 07:52:41 +0200

fonts-hosny-amiri (0.113-1) unstable; urgency=medium

  * New upstream version 0.113
  * Update standards version to 4.5.0
  * Bumped compat level to 13
  * Drop fontforge from build deps
  * Fix field spacing
  * Update fonts team email address

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 16:19:56 +0200
