=== debian/changelog ===
fonts-hosny-amiri (1.001-1) unstable; urgency=medium

  * New upstream version 1.001
  * Update copyright years
  * d/control: bump standards version to 4.7.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Dec 2024 17:41:36 +0100
