=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==23.1.0
    # via ufolib2
booleanoperations==0.9.0
    # via ufo2ft
cffsubr==0.2.9.post1
    # via ufo2ft
defcon==0.10.3
    # via glyphsets
fonttools[lxml,ufo,unicode]==4.43.1
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   defcon
    #   glyphsets
    #   glyphslib
    #   ufo2ft
    #   ufolib2
fs==2.4.16
    # via fonttools
glyphsets==0.6.4
    # via -r requirements.in
glyphslib==6.4.1
    # via
    #   -r requirements.in
    #   glyphsets
lxml==4.9.3
    # via fonttools
openstep-plist==0.3.1
    # via glyphslib
opentype-sanitizer==9.1.0
    # via -r requirements.in
pcpp==1.30
    # via -r requirements.in
pyclipper==1.3.0.post5
    # via booleanoperations
six==1.16.0
    # via fs
skia-pathops==0.8.0.post1
    # via ufo2ft
ufo2ft[pathops]==2.33.4
    # via -r requirements.in
ufolib2==0.16.0
    # via
    #   -r requirements.in
    #   glyphslib
unicodedata2==15.1.0
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools
