=== debian/changelog ===
fonts-hosny-amiri (1.003-2) unstable; urgency=medium

  * Drop redundant Rules-Requires-Root field
  * d.watch, d/upstream/metadata: update URLs of GitHub repo

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 09 Nov 2025 02:15:20 +0100

fonts-hosny-amiri (1.003-1) unstable; urgency=medium

  * New upstream version 1.003
  * d/copyright:
    + fix typo in Format field name
    + Update copyright years
  * d/control: bump standards version to 4.7.2
  * Dropped privacy.diff patch, applied upstream
  * Add f/doc-base

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 12 Aug 2025 17:37:39 +0200
