=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.amirifont.org
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri
