=== debian/watch ===
version=4

https://github.com/aliftype/amiri/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
